# Class SubtypeSublayerQuerySearchProvider

A search provider for subtype sublayers.

#### Hierarchy (view full)

- SearchProviderBase
  - SubtypeSublayerQuerySearchProvider

#####
Index

### Constructors

constructor

### Methods

_count
_search
_suggest
count
isSupported
search
suggest

##
Constructors

### constructor

- new SubtypeSublayerQuerySearchProvider(querySearchProvider): SubtypeSublayerQuerySearchProvider

- #### Parameters

  - querySearchProvider: QuerySearchProvider

  #### Returns SubtypeSublayerQuerySearchProvider

  Overrides SearchProviderBase.constructor

##
Methods

### `Protected`_count

- _count(source, searchText, options): Promise<CountResult[]>

- Invoked to perform the actual work for count. Derived classes should override this method rather than count().

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - options: SearchOptions

    Options that affect the search.

  #### Returns Promise<CountResult[]>

  Overrides SearchProviderBase._count

### `Protected`_search

- _search(sources, searchText, options): AsyncIterable<Feature, any, any>

- Invoked to perform the actual work for search. Derived classes should override this method rather than search().

  #### Parameters

  - sources: SubtypeSublayerExtension<SubtypeSublayerExtensionProperties>[]

    The source to search.

  - searchText: string

    The text to search for.

  - options: SearchOptions

    Options that affect the search.

  #### Returns AsyncIterable<Feature, any, any>

  Overrides SearchProviderBase._search

### `Protected`_suggest

- _suggest(source, searchText, options): Promise<SearchSuggestion[]>

- Invoked to perform the actual work for suggest. Derived classes should override this method rather than suggest().

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - options: SearchOptions

    Options that affect the search.

  #### Returns Promise<SearchSuggestion[]>

  Overrides SearchProviderBase._suggest

### count

- count(source, searchText, options?): Promise<CountResult[]>

- Searches a given feature source for features that match a search phrase and returns a count of matching features.

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - `Optional` options: SearchOptions

    Options that affect the search.

  #### Returns Promise<CountResult[]>

  An iterator of tasks/CountResult!CountResults containing a count of matching features. If the search is canceled, the provider may reject the returned promise with an instance of support/Cancellable!Cancellation, though it may still fulfill with count results instead.

  Inherited from SearchProviderBase.count

### isSupported

- isSupported(source): boolean

- Determines whether this provider can handle searches for the given feature source.

  #### Parameters

  - source: FeatureSource

    The feature source.

  #### Returns boolean

  Overrides SearchProviderBase.isSupported

### search

- search(source, searchText, options?): AsyncIterable<Feature, any, any>

- Searches a given feature source for features that match a search phrase.

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - `Optional` options: SearchOptions

    Options that affect the search.

  #### Returns AsyncIterable<Feature, any, any>

  An iterator of data/Feature!Features containing search results. If the search is canceled, the provider may reject the returned promise with an instance of support/Cancellable!Cancellation, though it may still fulfill with search results instead.

  Inherited from SearchProviderBase.search

### suggest

- suggest(source, searchText, options?): Promise<SearchSuggestion[]>

- Suggests matching phrases to search for based on some input text.

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to search.

  - searchText: string

    The text to search for.

  - `Optional` options: SearchOptions

    Options that affect the search.

  #### Returns Promise<SearchSuggestion[]>

  A list of suggestions.

  Inherited from SearchProviderBase.suggest